## openbabel 3.1.1+dfsg

=== include/CMakeLists.txt ===

file(GLOB openbabel_headers openbabel/*.h)
file(GLOB math_headers      openbabel/math/*.h)
file(GLOB stereo_headers      openbabel/stereo/*.h)
file(GLOB depict_headers      openbabel/depict/*.h)
file(GLOB lbfgs_headers       LBFGS/*.h)

if(NOT OPENBABEL_USE_SYSTEM_INCHI)
install(FILES inchi_api.h          DESTINATION include/inchi)
endif(NOT OPENBABEL_USE_SYSTEM_INCHI)
install(FILES chemdrawcdx.h        DESTINATION ${OB_INCLUDE_DIRS}/openbabel)
install(FILES ${openbabel_headers} DESTINATION ${OB_INCLUDE_DIRS}/openbabel)
install(FILES ${math_headers}      DESTINATION ${OB_INCLUDE_DIRS}/openbabel/math)
install(FILES ${stereo_headers}    DESTINATION ${OB_INCLUDE_DIRS}/openbabel/stereo)
install(FILES ${depict_headers}    DESTINATION ${OB_INCLUDE_DIRS}/openbabel/depict)
if(EIGEN2_FOUND OR EIGEN3_FOUND)
install(FILES LBFGS.h              DESTINATION ${OB_INCLUDE_DIRS})
install(FILES ${lbfgs_headers}     DESTINATION ${OB_INCLUDE_DIRS}/LBFGS)
endif()
