=== debian/changelog ===
openbabel (3.1.1+dfsg-14) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Don't build with -Wl,--fatal-warnings. Closes: #1116631.

  [ Santiago Vila ]
  * Drop "Priority: optional", as it's now the default.
  * Drop "Rules-Requires-Root: no", as it's now the default.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Oct 2025 12:45:00 +0200

openbabel (3.1.1+dfsg-13) unstable; urgency=medium

  * Resolve issues with CMake >= 4.0.0 (Closes: #1113350)

 -- Andrius Merkys <merkys@debian.org>  Mon, 29 Sep 2025 06:41:08 -0400

openbabel (3.1.1+dfsg-12) unstable; urgency=medium

  * Use default CXX standard version (Closes: #1101245)
  * Replace build dependency pkg-config with pkgconf.

 -- Andrius Merkys <merkys@debian.org>  Tue, 25 Mar 2025 04:52:48 -0400

openbabel (3.1.1+dfsg-11) unstable; urgency=medium

  Rebuild with libinchi-dev >= 1.07.1+dfsg-3.

 -- Andrius Merkys <merkys@debian.org>  Wed, 04 Sep 2024 02:14:51 -0400

openbabel (3.1.1+dfsg-10) unstable; urgency=medium

  [ Drew Parsons ]
  * update Homepage to https://openbabel.org

  [ Andrius Merkys ]
  * Restore compatibility with libxml (Closes: #1073327)

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Jul 2024 02:14:46 -0400
