=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/-/./g,repack,compression=xz" \
 https://github.com/openbabel/openbabel/tags \
 (?:.*?/)?openbabel-@ANY_VERSION@@ARCHIVE_EXT@
