## openbabel 3.1.1.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: openbabel
 Section: science
+Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>,
            Daniel Leidert <dleidert@debian.org>,
@@ -19,7 +20,7 @@
                libperl-dev,
                libwxgtk3.2-dev,
                libxml2-dev,
-               pkgconf,
+               pkg-config,
                python3-all,
                python3-dev,
                python3-setuptools,
@@ -29,7 +30,8 @@
                texlive-latex-base,
                texlive-latex-extra,
                zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://openbabel.org
 Vcs-Browser: https://salsa.debian.org/debichem-team/openbabel
 Vcs-Git: https://salsa.debian.org/debichem-team/openbabel.git
