## openbabel 3.1.1.1+dfsg

=== debian/changelog ===
openbabel (3.1.1.1+dfsg-10deepin1) unstable; urgency=medium

  * fix changelog.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 01 Aug 2024 16:57:34 +0800
